package com.xvji.config;

import com.xvji.utils.FormDataHttpUtil;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.client.RestTemplate;

@Configuration
public class RestTemplateConfig {
    @Bean
    public RestTemplate restTemplate() {
        return new RestTemplate();
    }

    @Bean
    public FormDataHttpUtil formDataHttpUtil(RestTemplate restTemplate) {
        return new FormDataHttpUtil(restTemplate);
    }
}